Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDebugList

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDebugList,MonoDebugList.ByValue,MonoDebugList.ByReference>
              com.nativelibs4java.mono.MonoDebugList

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoDebugList,MonoDebugList.ByValue,MonoDebugList.ByReference>>

Direct Known Subclasses:
  MonoDebugList.ByReference, MonoDebugList.ByValue

    public class MonoDebugList

extends Structure<MonoDebugList,MonoDebugList.ByValue,MonoDebugList.ByReference>

NOTE:
We intentionally do not use GList here since the debugger needs to know about
the layout of the fields.
native declaration : mono\metadata\mono-debug.h:43
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoDebugList.ByReference`
`static class` | `MonoDebugList.ByValue`

Field Summary
`Pointer` | `data`
`MonoDebugList.ByReference` | `next`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDebugList()`
`MonoDebugList(MonoDebugList.ByReference next, Pointer data)`

Method Summary
`protected MonoDebugList.ByReference` | `newByReference()`
`protected MonoDebugList.ByValue` | `newByValue()`
`protected MonoDebugList` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### next

    public MonoDebugList.ByReference next

### data

    public Pointer data

Constructor Detail

### MonoDebugList

    public MonoDebugList()

### MonoDebugList

    public MonoDebugList(MonoDebugList.ByReference next,
                         Pointer data)

Method Detail

### newByReference

    protected MonoDebugList.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoDebugList,MonoDebugList.ByValue,MonoDebugList.ByReference>`

### newByValue

    protected MonoDebugList.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoDebugList,MonoDebugList.ByValue,MonoDebugList.ByReference>`

### newInstance

    protected MonoDebugList newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoDebugList,MonoDebugList.ByValue,MonoDebugList.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD